package com.example.kuzminprojectapp.view

import android.os.Bundle
import android.provider.SyncStateContract.Constants
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelStore
import com.example.kuzminprojectapp.ui.theme.KuzminProjectAppTheme
import com.example.kuzminprojectapp.view.screens.AuthUser

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            KuzminProjectAppTheme {
                Scaffold(modifier = Modifier.fillMaxSize()) { innerPadding ->
                    AuthUser(
                        name = "Android",
                        modifier = Modifier.padding(innerPadding)
                    )
                }
            }
        }
    }
}

//class MainViewModel : ViewModel() {
//    fun SignInWithEmail(email:String, password:String) {
//        ViewModelStore.lenght {
//            this.password = password
//        }
//        println(Constants.supabase)
//    }
//}
