package com.example.kuzminprojectapp.view.screens

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewmodel.viewModelFactory

@Composable
fun AuthUser(name: String, modifier: Modifier = Modifier) {
    //val ViewModel = MainViewModel()
    Column (
        Modifier.padding(20.dp),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center
    ) {
        val email = remember { mutableStateOf("") }
        val password = remember { mutableStateOf("") }

        TextField(
            value = email.value,
            onValueChange = {newText -> email.value = newText}
        )

        TextField(
            value = password.value,
            onValueChange = {newText -> password.value = newText}
        )

        //Button(onClick = { ViewModel.SignInWithEmail(email.value, password.value) }) {
        //    Text("SignIn")
    }
}

